none
IE 11 und Jquery und Diagramme zeichen aus D3,js RRS feed

  • Frage

  • Hallo an alle,

    ich möchte mir Daten anzeigen lassen mit jquery (gewünschte Version ab 2 bevorzugt jquery-2.1.4.min.js). Jedoch macht diese mir immer wieder das Leben schwer. Auch eine Recherche ob die Version überhaupt unterstützt wird brachte nur schwammiges. Einige Aussagen deuten aber darauf hin das nur Version 1.11.x unter IE 11 genutzt werden soll.

    Nun suche ich aber ein Diagramm weiß zwei Linien anzeigen kann und die einzelnen Punkte im Diagramm als Info anzeigt. Zusätzlich möchte ich noch hineinzoomen.

    Hier das bevorzugte Framework https://plot.ly/javascript-graphing-library/multiple-axes/

    Nun zur eigentlichen Frage:

    Hat das schon mal jemand umgesetzt? Kann sich mal jemand die Zeit nehmen und es auf seinen Windows 7 mit IE 11 testen? Wenn es bei euch geht hätte ich gern die Settings im IE damit das auch bei mir endlich funktioniert.

    PS: Javascript ist auf allen getesteten Systemen aktiviert

    Dienstag, 4. August 2015 07:06

Antworten

  • Ist kompletter Unsinn, daß nur jQuery 1.11 funktionieren soll. Hier bist du damit aber falsch. jQuery ist cross-browser angelegt. Wenn da was nicht funktioniert, wendest du dich bitte an das jQuery Forum.

    http://jquery.com/browser-support/

    Any problem with jQuery in the above browsers should be reported as a bug in jQuery.

    Was diese Plot-Bibliothek betrifft, sehe ich jetzt nicht den Zusammenhang mit jQuery. Der übliche Fehler, der gemacht wird, ist, daß das Dokument nicht HTML5 ist und den IE daher in den Quirks-Mode oder einen anderen, älteren Modus zwingt. Da funktioniert dann z.B. kein SVG.

    Settings? Ganz einfach: IE komplett zurücksetzen unter Internetoptionen, erweitert, zurücksetzen und Third-Party-Sicherheitssuiten deinstallieren.


    IEFAQ: http://iefaq.info


    Dienstag, 4. August 2015 08:13
    Beantworter

Alle Antworten

  • Ist kompletter Unsinn, daß nur jQuery 1.11 funktionieren soll. Hier bist du damit aber falsch. jQuery ist cross-browser angelegt. Wenn da was nicht funktioniert, wendest du dich bitte an das jQuery Forum.

    http://jquery.com/browser-support/

    Any problem with jQuery in the above browsers should be reported as a bug in jQuery.

    Was diese Plot-Bibliothek betrifft, sehe ich jetzt nicht den Zusammenhang mit jQuery. Der übliche Fehler, der gemacht wird, ist, daß das Dokument nicht HTML5 ist und den IE daher in den Quirks-Mode oder einen anderen, älteren Modus zwingt. Da funktioniert dann z.B. kein SVG.

    Settings? Ganz einfach: IE komplett zurücksetzen unter Internetoptionen, erweitert, zurücksetzen und Third-Party-Sicherheitssuiten deinstallieren.


    IEFAQ: http://iefaq.info


    Dienstag, 4. August 2015 08:13
    Beantworter
  • Der Grund warum ich hier poste ist das ich in anderen Forum stets gehört habe das ich den Mozilla und co nutzen soll dann geht es. Ja sicher aber das ist nicht das Ziel. Danke erstmal für den Hinweis das der IE HTML5 möchte um nicht in einen älteren Modus zu gelangen.

    Das hilft mir schon mal sehr da meine Skripte definitiv nicht auf html5 basieren.

    Dienstag, 4. August 2015 11:18